List placement groups
curl --request GET \
--url https://api.gcore.com/cloud/v1/servergroups/{project_id}/{region_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/servergroups/{project_id}/{region_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/servergroups/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"instances": [
{
"instance_id": "6d14f194-6c1e-49b3-9fc7-50dc8401eb74",
"instance_name": "my-instance-1"
},
{
"instance_id": "142988bb-291e-4862-bffb-b1cf20036c27",
"instance_name": "my-instance-2"
}
],
"name": "my-server-group",
"policy": "anti-affinity",
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"servergroup_id": "47003067-550a-6f17-93b6-81ee16ba061e"
}
]
}Placement Groups
List placement groups
GET
/
cloud
/
v1
/
servergroups
/
{project_id}
/
{region_id}
List placement groups
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Limit the number of returned items
Offset value is used to exclude the first set of records from the result
Was this page helpful?
⌘I